Python
import os
from gcore import Gcore
client = Gcore(
api_key=os.environ.get("GCORE_API_KEY"), # This is the default and can be omitted
)
stream_series = client.streaming.statistics.get_live_watch_time_cdn(
from_="from",
)
print(stream_series)package main
import (
"context"
"fmt"
"github.com/G-Core/gcore-go"
"github.com/G-Core/gcore-go/option"
"github.com/G-Core/gcore-go/streaming"
)
func main() {
client := gcore.NewClient(
option.WithAPIKey("My API Key"),
)
streamSeries, err := client.Streaming.Statistics.GetLiveWatchTimeCDN(context.TODO(), streaming.StatisticGetLiveWatchTimeCDNParams{
From: "from",
})
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", streamSeries)
}
curl --request GET \
--url https://api.gcore.com/streaming/statistics/stream/watching_duration \
--header 'Authorization: <api-key>'const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.gcore.com/streaming/statistics/stream/watching_duration', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.gcore.com/streaming/statistics/stream/watching_duration",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}HttpResponse<String> response = Unirest.get("https://api.gcore.com/streaming/statistics/stream/watching_duration")
.header("Authorization", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.gcore.com/streaming/statistics/stream/watching_duration")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = '<api-key>'
response = http.request(request)
puts response.read_body[
{
"client": 123,
"metrics": {
"streams": [
[
1640995210,
10
],
[
1640995310,
10
],
[
1640995410,
10
],
[
1640995510,
20
],
[
1640995610,
20
]
]
}
}
]Statistics
Get Live watching duration via CDN
Calculates a time series of live streams watching duration in minutes. Views of only those streams that meet the specified filters are summed up.
The statistics are taken from the data of CDN and work regardless of which player the views were made with.
Please note that the result for each time interval is in minutes, it is rounded to the nearest upper integer. You cannot use the sum of all intervals as the total watch time value; instead, use the /total method.
GET
/
streaming
/
statistics
/
stream
/
watching_duration
Python
import os
from gcore import Gcore
client = Gcore(
api_key=os.environ.get("GCORE_API_KEY"), # This is the default and can be omitted
)
stream_series = client.streaming.statistics.get_live_watch_time_cdn(
from_="from",
)
print(stream_series)package main
import (
"context"
"fmt"
"github.com/G-Core/gcore-go"
"github.com/G-Core/gcore-go/option"
"github.com/G-Core/gcore-go/streaming"
)
func main() {
client := gcore.NewClient(
option.WithAPIKey("My API Key"),
)
streamSeries, err := client.Streaming.Statistics.GetLiveWatchTimeCDN(context.TODO(), streaming.StatisticGetLiveWatchTimeCDNParams{
From: "from",
})
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", streamSeries)
}
curl --request GET \
--url https://api.gcore.com/streaming/statistics/stream/watching_duration \
--header 'Authorization: <api-key>'const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.gcore.com/streaming/statistics/stream/watching_duration', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.gcore.com/streaming/statistics/stream/watching_duration",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}HttpResponse<String> response = Unirest.get("https://api.gcore.com/streaming/statistics/stream/watching_duration")
.header("Authorization", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.gcore.com/streaming/statistics/stream/watching_duration")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = '<api-key>'
response = http.request(request)
puts response.read_body[
{
"client": 123,
"metrics": {
"streams": [
[
1640995210,
10
],
[
1640995310,
10
],
[
1640995410,
10
],
[
1640995510,
20
],
[
1640995610,
20
]
]
}
}
]Authorizations
Query Parameters
Was this page helpful?